package org.springblade.system.mapper;

import org.springblade.system.domain.FilesClassifyMarkDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/9 - 17:11
 */
public interface FilesClassifyMarkMapper {
    List<FilesClassifyMarkDto> list(FilesClassifyMarkDto dto);
    List<FilesClassifyMarkDto> listByName(FilesClassifyMarkDto dto);

    Integer add(FilesClassifyMarkDto dto);

    Integer edit(FilesClassifyMarkDto dto);

    Integer del(FilesClassifyMarkDto dto);

    Integer getUseByFilesContents(String id);

    Integer getUseByProFilesContents(String id);

    Integer isExit(FilesClassifyMarkDto dto);
}
